Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Jul 2011 05:56:18 +0300

> From: Glenn Morris <[email-masked]>
> Date: Sun, 10 Jul 2011 22:01:44 -0400
> Cc: [email-masked]
> 
> Markus Triska wrote:
> 
> > Thank you, it does if I add this to ~/.emacs:
> >
> >    (require 'ucs-normalize)
> >    (setq file-name-coding-system 'utf-8-hfs)
> 
> I know nothing about this area: Is this an acceptable solution (in which
> case I will close this report); or should it work out-of-the-box with no
> configuration?

It could be that Emacs should do this on that platform automatically,
yes.  But some Darwin expert should look into this and provide
feedback, before we decide.